unit pgp55SC;

interface

uses
  Windows;

type
  pPGPsc = pointer;  //pPGPContext

type
  pFileList = ^TFileList;
  TFileList = record
    Name : array[0..MAX_PATH-1] of char;
	  IsDirectory : boolean;
	  next : pFileList;
  end;
{
var AddToFileList: function(var FileList: PFileList; filename: PChar): Cardinal; cdecl;

var FreeFileList: function(FileList: pFileList): Cardinal; cdecl;

//var PGPscQueryCacheSecsRemaining (void);

var PGPscPreferences: function(WinHandle: hwnd; P: PGPsc): Cardinal; cdecl;

var PGPscAbout: function(WinHandle: hwnd): Cardinal; cdecl;

var AddKeyFileList: function(HWND hwnd,void *PGPsc,FILELIST *ListHead): Cardinal; cdecl;

var DecryptFileList: function(HWND hwnd,void *PGPsc,FILELIST *ListHead): Cardinal; cdecl;

var EncryptFileList(HWND hwnd,
					 void *PGPsc,
					 FILELIST *ListHead,
					 BOOL bEncrypt,
					 BOOL bSign);

BOOL PGPExport FreewareWipeCheck(HWND hwnd);

var WipeFileList(HWND hwnd,FILELIST *ListHead);

char PGPExport *JustFile(char *filename);

BOOL PGPExport GetValidityDrawPrefs(BOOL *pbInputBool);
BOOL PGPExport GetMarginalInvalidPref(BOOL *pbInputBool);
}
var LaunchInternalViewer5: function(WinHandle: hwnd): DWORD;cdecl;

// Library initialization routines
var InitPGPsc5: function(Parent: hwnd; var P: pPGPsc): boolean; cdecl;

var UninitPGPsc5: function(Parent: hwnd; P: pPGPsc): boolean; cdecl;

var DoEncrypt: function(Parent: hwnd; P: pPGPsc; Encrypt, Sign: boolean): Longbool; cdecl;
var DoDecrypt: function(Parent: hwnd; P: pPGPsc): Longbool; cdecl;
var DoAddKey: function(Parent: hwnd; P: pPGPsc): Longbool; cdecl;
{
unsigned long PGPExport DoLaunchKeys(HWND hwnd);
unsigned long PGPExport DoLaunchTools(HWND hwnd);

//var FileWipe: function(FileName: PChar): boolean; cdecl;

BOOL PGPExport ClipboardWipe(HWND hwnd);

BOOL PGPExport WindowExists (LPSTR lpszClassName, LPSTR lpszWindowTitle);

int PGPExport SendPGPlogMsg(char* szMsg);

void PGPExport PGPpath(char *szPath);

void PGPExport FreewareScreen(HINSTANCE hInstance);

void PGPExport FreewareSetParent(HWND hwnd);

#ifdef WIN32
#define DDElogServer "PGPlog"
#else
#define DDElogServer "PGPlog16"
#endif
#define DDElogTopic "Operation_Results"
}
function LoadPGP55sc: Boolean; //returns True if API successfully loaded
procedure UnLoadPGP55sc;
function PGP55scLoaded: Boolean; //returns if the API is loaded

implementation

var
  PGPscLib       : HModule;

function PGP55scLoaded: boolean;
begin
  result := PGPscLib >= 32;
end;

function LoadPGP55sc: boolean;
begin
  PGPscLib := LoadLibrary('PGP55sc.dll');

  if PGP55scLoaded then
  begin
    result := True;
    @InitPGPsc5           := GetProcAddress(PGPscLib,'InitPGPsc');
    @UninitPGPsc5         := GetProcAddress(PGPscLib,'UninitPGPsc');
    @LaunchInternalViewer5 := GetProcAddress(PGPscLib,'LaunchInternalViewer');
    //@FileWipe             := GetProcAddress(PGPscLib,'FileWipe');
    @DoEncrypt            := GetProcAddress(PGPscLib,'DoEncrypt');
    @DoDecrypt            := GetProcAddress(PGPscLib,'DoDecrypt');
    @DoAddKey             := GetProcAddress(PGPscLib,'DoAddKey');
  end
  else
    result := false;
end;

procedure UnLoadPGP55sc;
begin
  if PGP55scLoaded then
  begin
    if PGPscLib <> 0 then
      FreeLibrary(PGPscLib);
      PGPscLib := 0;
  end;
end;

{$O-}

initialization
  LoadPGP55sc;
  
finalization
  if PGP55scLoaded then
    UnLoadPGP55sc;

end.

