{************************************************************************}
{ spgp library - project source for the SPGP DLL                         }
{                                                                        }
{ This unit requires one or more units from the Pascal translations of   }
{ the PGPsdk header files: <http://www.oz.net/~srheller/pgpsdk/>         }
{ 								                                                       }
{ The original Pascal code is: spgp.dpr, released 10 Apr 2000.           }
{ The initial developer of the Pascal code is Steven R. Heller           }
{ <srheller@oz.net>                                                      }
{ 						                                                           }
{ Portions created by Steven R. Heller are    				                   }
{ Copyright (C) 2000 Steven R. Heller                                    }
{									                                                       }
{ The contents of this file are used with permission, subject to         }
{ the Mozilla Public License Version 1.1 (the "License"); you may        }
{ not use this file except in compliance with the License. You may       }
{ obtain a copy of the License at                                        }
{ http://www.mozilla.org/MPL/MPL-1.1.html 	                             }
{ 									                                                     }
{ Software distributed under the License is distributed on an 	         }
{ "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or         }
{ implied. See the License for the specific language governing           }
{ rights and limitations under the License.                              }
{                                                                        }
{************************************************************************}

library spgp;

uses
  // Delphi
  SysUtils, Classes,
  // PGPsdk
  pgpUtilities, pgpErrors,
  // SPGP
  spgpEncrypt, spgpUIDialogs, spgpKeyGen, spgpKeyMan, spgpGlobals,
    spgpFeatures, spgpDecrypt, spgpKeyIO, spgpKeyProp, spgpAnalysis,
    spgpPreferences, spgpMisc;

(* returns DLL version *)
function spgpversion: Longint;stdcall;export;
begin
  { DLL version is four digits with 0-9 values; e.g., the
    first version in which this function was implemented: '2100',
    which can be read as 'version 2.1.0.0' }
  result := 2560;
end;

exports
{ encode }
  spgpencode             index 1,
  spgpencodefile         index 2,
  spgp_encode            index 3,
  spgp_encodefile        index 4,
{ decode }
  spgpdecode             index 5,
  spgpdecodefile         index 6,
{ key import/export }
  spgpkeyexport          index 7,
  spgpkeyexportfile      index 8,
  spgpkeyimport          index 9,
  spgp_keyimport         index 10,
  spgpkeyimportfile      index 11,
  spgp_keyimportfile     index 12,
{ key properties }
  spgpkeyprops           index 13,
  spgpkeyringid          index 14,
  spgpkeyringtofile      index 15,
{ error strings }
  spgpgeterrorstring     index 16,
{ analyze }
  spgpanalyze            index 17,
  spgpanalyzeex          index 18,
  spgpanalyzefile        index 19,
  spgpanalyzefileex      index 20,

{ misc }
  spgpkeyisonring        index 21,
  spgpsetpreference      index 22,
  spgpgetpreference      index 23,
  spgpversion            index 24,
  spgpdetachedsigcreate  index 25,
  spgpdetachedsigverify  index 26,
  spgpkeyringcount       index 27,
  spgpkeyenable          index 28,
  spgpkeydisable         index 29,
  spgpkeypasschange      index 30,
  spgpkeysign            index 31,
  spgpkeypropuserid      index 32,
  spgpkeypropsig         index 33,
  spgpkeyremove          index 34,
  spgpkeysigremove       index 35,

{ UI }
  spgpuiencode           index 36,
  spgpuiencodefile       index 37,
  spgpuirecipientsdialog index 38,
  spgpuisigningpassphrasedialog      index 39,
  spgpuiconfirmationpassphrasedialog index 40,
  spgpuikeypassphrasedialog          index 41,
  spgpestimatepassphrasequality      index 42,

{ key gen }
  spgpkeygenerate        index 43,
  spgpsubkeygenerate     index 44,

{ features }
  spgpsdkapiversion      index 45,

  spgpsetpreferences     index 46,
  spgpgetpreferences     index 47,
  spgppreferencesdialog  index 48,

{ chaos! }
  spgpuiselectkeysdialog index 49,
  spgpkeypropadk         index 50,
  spgpkeyproprevocationkey index 51;

begin

end.
